Subject: bug#874 closed by "Juanma Barranquero" <[email-masked]> (Re: Args out of range with new auto-composition implementation)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#874: Args out of range with new auto-composition implementation

It has been closed by "Juanma Barranquero" <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact "Juanma Barranquero" <[email-masked]> by
replying to this email.

-- 
874: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=874
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Fri Sep 12 01:56:47 2008
Date: Fri, 12 Sep 2008 10:56:39 +0200
From: "Juanma Barranquero" <[email-masked]>
To: "Kenichi Handa" <[email-masked]>
Subject: Re: Args out of range with new auto-composition implementation
Cc: [email-masked], [email-masked]

On Fri, Sep 12, 2008 at 08:32, Kenichi Handa <[email-masked]> wrote:

> Anyway, I've just installed a workaround of not handling
> automatic composition if the current buffer is not
> associated with a window.

That fixes the problem. Thanks.

 Juanma

>From [email-masked] Wed Sep  3 09:21:56 2008
Date: Wed, 3 Sep 2008 18:21:51 +0200
From: "Juanma Barranquero" <[email-masked]>
To: "Emacs Bug Tracker" <[email-masked]>
Subject: Args out of range with new auto-composition implementation

;;; testbug.el ;;;
(column-number-mode 1)

(defun testbug ()
  (interactive)
  (split-window)
  (other-window 1)
  (pop-to-buffer (get-buffer-create "testbug")))
;;;;;;;;;;;;;;;;;

emacs -Q -l testbug.el
C-h H
M-: (goto-char 276) <RET>   ;; or move the cursor to any auto-composed char
M-x testbug <RET>

  => "Args out of range: 274, 274"

(and the windows are not correctly painted.)

At home's laptop I can reproduce the bug at will; as a weird
datapoint, at work I've only been able to reproduce it when the buffer
is called "*ielm*", even if IELM is *not* loaded.

emacs-devel discussion (including a backtrace):

http://lists.gnu.org/archive/html/emacs-devel/2008-09/msg00045.html